
Foreman - Refactor #3930

editing_self permission check is 'global'
Status: Closed   

Priority: Normal   

Assignee: Ohad Levy   

Category: Authentication   

Target version: 1.4.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

While this does not seems like a bug, the code in the permission checking system always validates if the user edit it self (so a non

admin user can edit his account), but this code is checked globally for all permissions checks.

also, the normalization of controllers names is spread across the app.

Related issues:

Blocks Foreman - Bug #3858: No menus shown for non-admin users Closed 12/11/2013

Associated revisions

Revision 355bce36 - 12/30/2013 11:06 AM - Ohad Levy

fixes #3930 - refactoring of edit_self implementation.

Revision 752d9eae - 12/30/2013 11:59 AM - Ohad Levy

refs #3930 - ensure a user can actually update itself.

History

#1 - 12/25/2013 09:08 AM - Ohad Levy

- Blocks Bug #3858: No menus shown for non-admin users added

#2 - 12/25/2013 09:29 AM - Ohad Levy

- Status changed from New to Ready For Testing

https://github.com/theforeman/foreman/pull/1116

#3 - 12/30/2013 11:31 AM - Ohad Levy

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 355bce36288ec6cd9f5a66b656f8a84158f2a8e1.

#4 - 01/02/2014 03:25 PM - Dominic Cleal

- translation missing: en.field_release set to 2
